Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.dtfj.java
Interface JavaMethod

All Superinterfaces:
  JavaMember

    public interface JavaMethod

extends JavaMember

Represents a method or constructor in a class

Author:
  pburka

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.Iterator` | `getBytecodeSections()` Get the set of ImageSections containing the bytecode of this method.
`java.util.Iterator` | `getCompiledSections()` Get the set of ImageSections containing the compiled code of this method.
`int` | `hashCode()`

Methods inherited from interface com.ibm.dtfj.java.JavaMember
`getDeclaringClass, getModifiers, getName, getSignature`

Method Detail

### getBytecodeSections

    java.util.Iterator getBytecodeSections()

  Get the set of ImageSections containing the bytecode of this method.

  Returns:
    an iterator over a collection of ImageSections. Each ImageSection contains data (usually bytecodes) used in executing this method in interpreted mode.

    The collection may be empty for native methods, or pre-compiled methods.

    Typically, the collection will contain no more than one section, but this is not guaranteed.

  See Also:
    `ImageSection`, `CorruptData`

### getCompiledSections

    java.util.Iterator getCompiledSections()

  Get the set of ImageSections containing the compiled code of this method.

  Returns:
    an iterator over a collection of ImageSections. Each ImageSection contains data (usually executable code) used in executing this method in compiled mode.
  See Also:
    `ImageSection`, `CorruptData`

### equals

    boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `JavaMember`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` -
  Returns:
    True if the given object refers to the same Java Method in the image

### hashCode

    int hashCode()

  Specified by:
    `hashCode` in interface `JavaMember`
  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD